package com.cloudcross.ssp.back.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.back.model.AuditBanner;
import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;


/**
 * 投放活动对应创意表的服务接口
 * @author wanfu
 *
 */
public interface IAuditBannerService extends IGenericService<AuditBanner> {
	//定义根据运营商id，搜索框的值，计算素材个数的方法
	int countByOperatorIdandParams(Long operatorId,Map<String, Object> paramMap);
	//定义根据运营商id，搜索框的值，和相应的页码 返回素材列表的方法
	List<AuditBanner> findByOperatorIdandParams(Long operatorId,Map<String, Object> paramMap, Pager pager);
	//审核不通过，状态备注更新
	boolean UpcheckStatus(List<Long> auditBannerIdList, int checked,String memo);
	
	List<AuditBanner> findAudit(Map<String, Object> paramMap);
}
